> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment metrics

> Retrieve performance metrics for active deployments.



## OpenAPI

````yaml get /v1/flow/metrics/deployments
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/metrics/deployments:
    get:
      tags:
        - Deployments
      summary: Get deployment metrics
      description: Retrieve performance metrics for active deployments.
      operationId: get_deployment_metrics_v1_flow_metrics_deployments_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentMetrics'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DeploymentMetrics:
      properties:
        count_by_deployment_status:
          $ref: '#/components/schemas/DeploymentStatusCounts'
        total_inbound_tokens:
          type: integer
          title: Total Inbound Tokens
        total_outbound_tokens:
          type: integer
          title: Total Outbound Tokens
      type: object
      required:
        - count_by_deployment_status
        - total_inbound_tokens
        - total_outbound_tokens
      title: DeploymentMetrics
    DeploymentStatusCounts:
      properties:
        active:
          type: integer
          title: Active
        inactive:
          type: integer
          title: Inactive
        failed:
          type: integer
          title: Failed
        pending:
          type: integer
          title: Pending
      type: object
      required:
        - active
        - inactive
        - failed
        - pending
      title: DeploymentStatusCounts
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````